Creates a new equipment_model object

Request Information

URI Parameters :

None.

Body Parameters :

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "20b151ed-5cb3-4c70-9a9d-33761adcf156",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "9b331b35-262f-4acc-90e7-9199d51cc726",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "40d8c226-7616-4eae-bcd9-83115a5f1294",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "bc603bf8-da0e-4463-9452-b478ae56f8db",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "36a16b28-d874-4f03-87cf-da56b5b1910a",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "bc5903f0-01f0-4a73-bb31-f54118a71d2e",
      "db_currency_id": "d140b6ff-2d71-4c2a-bcb4-82af5fcdc782",
      "db_language_id": "12853fce-cbaa-4421-8f96-769a977294e4",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-21T03:34:17.0183455+00:00"
    },
    "modified_dateutc": "2026-10-21T03:34:17.0183455+00:00"
  },
  "equipment_family_id": "880b71b7-11eb-41e8-91fa-f916f8116068",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "e49b65b3-6f3d-4654-b01b-e57b6ead54be",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "ea15ad54-b5e7-4cb3-8cac-97e5448fb4d5",
    "_parent_code": "sample string 6",
    "sales_organization_id": "66a59575-4b2e-46fe-9342-d2dbfd233e9b",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "36a16b28-d874-4f03-87cf-da56b5b1910a",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "bc5903f0-01f0-4a73-bb31-f54118a71d2e",
      "db_currency_id": "d140b6ff-2d71-4c2a-bcb4-82af5fcdc782",
      "db_language_id": "12853fce-cbaa-4421-8f96-769a977294e4",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-21T03:34:17.0183455+00:00"
    },
    "modified_dateutc": "2026-10-21T03:34:17.034005+00:00"
  },
  "date_in_production_since": "2026-10-21T03:34:17.034005+00:00",
  "date_out_of_production_since": "2026-10-21T03:34:17.034005+00:00",
  "date_end_support": "2026-10-21T03:34:17.034005+00:00",
  "sales_organization_id": "f6bf3177-09de-4fe6-9c70-9216e4e13294",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "36a16b28-d874-4f03-87cf-da56b5b1910a",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "bc5903f0-01f0-4a73-bb31-f54118a71d2e",
    "db_currency_id": "d140b6ff-2d71-4c2a-bcb4-82af5fcdc782",
    "db_language_id": "12853fce-cbaa-4421-8f96-769a977294e4",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-21T03:34:17.0183455+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-10-21T03:34:17.034005+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.